petsc-3.12.1 2019-10-22
Report Typos and Errors

# TaoSubsetType

PetscInt representing the way TAO handles active sets

### Synopsis

    typedef enum {TAO_SUBSET_SUBVEC,TAO_SUBSET_MASK,TAO_SUBSET_MATRIXFREE} TaoSubsetType;

| TAO_SUBSET_SUBVEC | - TAO uses PETSc's MatCreateSubMatrix and VecGetSubVector
| TAO_SUBSET_MASK | - Matrices are zeroed out corresponding to active set entries
| TAO_SUBSET_MATRIXFREE | - Same as TAO_SUBSET_MASK, but can be applied to matrix-free operators

### Options database keys

-different_hessian -TAO will use a copy of the hessian operator for masking. By default TAO will directly alter the hessian operator.

### Level

intermediate

### Location

src/tao/../../include/petsctao.h
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages